Get Team API Keys
curl --request GET \
--url https://console.vast.ai/api/v0/team/apikeys/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.vast.ai/api/v0/team/apikeys/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.vast.ai/api/v0/team/apikeys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"keys_found": 1,
"keys": {
"7": [
{
"id": 200,
"user_id": 101,
"username": "alice",
"key": "",
"key_type": "team",
"created_at": 1700000000,
"role_name": "team_manager"
}
]
}
}{
"error": "<string>",
"msg": "<string>"
}Team
Get Team API Keys
Returns all active API keys for team members grouped by role, showing which member holds each key.
GET
/
api
/
v0
/
team
/
apikeys
/
Get Team API Keys
Authorizations
API key must be provided in the Authorization header
Response
{"success": true, "keys_found": N, "keys": {<rights_id>: [{id, user_id, username, key, key_type, created_at, role_name}]}} or {"success": false, "msg": "No active team API keys found."}
⌘I